Bug 244862 - kspread:msoffice2003: Picture not displayed in black and white mode
Summary: kspread:msoffice2003: Picture not displayed in black and white mode
Status: VERIFIED FIXED
Alias: None
Product: calligrasheets
Classification: Unclassified
Component: general (show other bugs)
Version: Git
Platform: Unlisted Binaries Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Calligra Sheets (KSpread) Bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-07-16 15:13 UTC by Nandita Suri
Modified: 2011-12-28 09:10 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
testdata to be opened in kspread (36.50 KB, application/vnd.ms-excel)
2010-07-16 15:13 UTC, Nandita Suri
Details
testdata to be opened in kspread (258.93 KB, image/png)
2010-07-16 15:15 UTC, Nandita Suri
Details
screenshot of the document in msexcel (106.30 KB, image/png)
2010-07-16 15:16 UTC, Nandita Suri
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Nandita Suri 2010-07-16 15:13:02 UTC
Created attachment 49221 [details]
testdata to be opened in kspread

Version:           svn (using KDE 4.4.3) 
OS:                Linux

Testdata is created using MS Excel 2003. Picture is inserted into the document in black and white mode. When opened in kspread, black and white mode of the picture is not retained.

Reproducible: Always

Steps to Reproduce:
1. Open the attached document in MS Excel 2003.
2. Open the same document in KOffice.
3. Observe the picture inserted in black and white mode.



Actual Results:  
Kspread is unable to display the picture in black and white mode.
see attachment ms03_pic_bw_mode_kspread.png


Expected Results:  
Kspread should be able to display the picture in black and white mode.
see attachment ms03_pic_bw_mode_kspread.png


SOFTWARE VERSION:
  Kubuntu 9.10
  Koffice (svn version 1149886)
  Test document (MS Excel 2003):me03_picture_blackwhite.xls
Comment 1 Nandita Suri 2010-07-16 15:15:49 UTC
Created attachment 49222 [details]
testdata to be opened in kspread
Comment 2 Nandita Suri 2010-07-16 15:16:15 UTC
Created attachment 49223 [details]
screenshot of the document in msexcel
Comment 3 LukasT 2011-11-21 13:23:33 UTC
Git commit e7b5098d0d77504ed6779f70680d0c8c09c56a4c by Lukáš Tvrdý.
Committed on 21/11/2011 at 13:40.
Pushed by lukast into branch 'tables-filter-fix-pictures-ltvrdy'.

Fix missing images in groups

o use libmso to handle pictures
o fixes missing borders around pictures
o adds features from libmso like black and white mode

Known regressions: exposing more issues with z-index similar to bug 286607,
as z-index is not handled at all in the excel filter.

CCBUG:262865
CCBUG:244862

M  +5    -1    filters/libmso/pictures.cpp
M  +6    -46   filters/tables/excel/import/ExcelImport.cpp
M  +14   -3    filters/tables/excel/import/ODrawClient.cpp
M  +2    -34   filters/tables/excel/import/excelimporttoods.cc
M  +1    -32   filters/tables/excel/sidewinder/cell.cpp
M  +1    -7    filters/tables/excel/sidewinder/cell.h
M  +17   -29   filters/tables/excel/sidewinder/excel.cpp
M  +1    -8    filters/tables/excel/sidewinder/excel.h
M  +11   -15   filters/tables/excel/sidewinder/globalssubstreamhandler.cpp
M  +0    -2    filters/tables/excel/sidewinder/globalssubstreamhandler.h
M  +0    -66   filters/tables/excel/sidewinder/objects.h
M  +1    -26   filters/tables/excel/sidewinder/sheet.cpp
M  +0    -4    filters/tables/excel/sidewinder/sheet.h
M  +13   -0    filters/tables/excel/sidewinder/workbook.cpp
M  +4    -0    filters/tables/excel/sidewinder/workbook.h
M  +4    -12   filters/tables/excel/sidewinder/worksheetsubstreamhandler.cpp

http://commits.kde.org/calligra/e7b5098d0d77504ed6779f70680d0c8c09c56a4c
Comment 4 LukasT 2011-11-23 08:37:32 UTC
Git commit 312d8bd2395d99d98dc226c40eb08574e547d591 by Lukáš Tvrdý.
Committed on 21/11/2011 at 13:40.
Pushed by lukast into branch 'master'.

Fix missing images in groups

o use libmso to handle pictures
o fixes missing borders around pictures
o adds features from libmso like black and white mode

Known regressions: exposing more issues with z-index similar to bug 286607,
as z-index is not handled at all in the excel filter.

CCBUG:262865
CCBUG:244862

M  +5    -1    filters/libmso/pictures.cpp
M  +6    -46   filters/tables/excel/import/ExcelImport.cpp
M  +14   -3    filters/tables/excel/import/ODrawClient.cpp
M  +2    -34   filters/tables/excel/import/excelimporttoods.cc
M  +1    -32   filters/tables/excel/sidewinder/cell.cpp
M  +1    -7    filters/tables/excel/sidewinder/cell.h
M  +17   -29   filters/tables/excel/sidewinder/excel.cpp
M  +1    -8    filters/tables/excel/sidewinder/excel.h
M  +11   -15   filters/tables/excel/sidewinder/globalssubstreamhandler.cpp
M  +0    -2    filters/tables/excel/sidewinder/globalssubstreamhandler.h
M  +0    -66   filters/tables/excel/sidewinder/objects.h
M  +1    -26   filters/tables/excel/sidewinder/sheet.cpp
M  +0    -4    filters/tables/excel/sidewinder/sheet.h
M  +13   -0    filters/tables/excel/sidewinder/workbook.cpp
M  +4    -0    filters/tables/excel/sidewinder/workbook.h
M  +4    -12   filters/tables/excel/sidewinder/worksheetsubstreamhandler.cpp

http://commits.kde.org/calligra/312d8bd2395d99d98dc226c40eb08574e547d591
Comment 5 swathi 2011-12-28 09:10:15 UTC
Verified in  21ab26bca75abcf262753dca7b9a599420c2e93b.